Loading...
Searching...
No Matches
rpchandler_base< T > Class Template Reference

Base class for registering a ControlPort Handler. Acts as a message acceptor. More...

`#include <gnuradio/rpcregisterhelpers.h>`

## Public Member Functions

| rpchandler_base (T *source, const char *handler)
| ~rpchandler_base () override
void | post (pmt::pmt_t which_port, pmt::pmt_t msg) override
| send `msg` to `msg_accepter` on port `which_port`
Public Member Functions inherited from gr::messages::msg_accepter
| msg_accepter ()
virtual | ~msg_accepter ()

## Protected Attributes

T * | _source
const char * | _handler

## Detailed Description

template<typename T>
class rpchandler_base< T >

Base class for registering a ControlPort Handler. Acts as a message acceptor.

## Constructor & Destructor Documentation

## rpchandler_base()

template<typename T>

rpchandler_base< T >::rpchandler_base | ( | T * | source,
|  | const char * | handler )

inline

References _handler, and _source.

Referenced by rpcbasic_handler< T >::rpcbasic_handler().

## ~rpchandler_base()

template<typename T>

rpchandler_base< T >::~rpchandler_base | ( |  | ) |

inline override

## Member Function Documentation

## post()

template<typename T>

void rpchandler_base< T >::post | ( | pmt::pmt_t | which_port,
|  | pmt::pmt_t | msg )

inline override virtual

send `msg` to `msg_accepter` on port `which_port`

Sending a message is an asynchronous operation. The `post` call will not wait for the message either to arrive at the destination or to be received.

Implements gr::messages::msg_accepter.

References _source.

## Member Data Documentation

## _handler

template<typename T>

const char* rpchandler_base< T >::_handler

protected

Referenced by rpchandler_base().

## _source

template<typename T>

T* rpchandler_base< T >::_source

protected

Referenced by post(), and rpchandler_base().

The documentation for this class was generated from the following file:

- rpcregisterhelpers.h